std::logic_error(3)

NAME
std::logic_error - One of two subclasses of exception.

SYNOPSIS

Inherits std::exception.

Inherited by __gnu_pbds::container_error, std::domain_error, std::experimental::fundamentals_v1::bad_optional_access, std::future_error, std::invalid_argument, std::length_error, and std::out_of_range.

  Public Member Functions
logic_error (const char *) _GLIBCXX_TXN_SAFE
logic_error (const logic_error &)=default
logic_error (const string &__arg) _GLIBCXX_TXN_SAFE
logic_error (logic_error &&) noexcept
logic_error & operator= (const logic_error &)=default
logic_error & operator= (logic_error &&) noexcept
virtual const char * what () const noexcept

Detailed Description

One of two subclasses of exception. Logic errors represent problems in the internal logic of a program; in theory, these are preventable, and even detectable before the program runs (e.g., violations of class invariants).

Definition at line 113 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.